# SkillFinder

SkillFinder is a software tool that extracts from a set of enzymatic reactions,
those that connect given substrates to a product. Kinetics constants and pH, can
be specified to refine the search. The ability of metabolites to inhibit
reactions can be selected. 

### Requirements

To compile SkillFinder, you'll need a C++ compiler compatible with the C++ 11
standard.

In the Makefile, check that the value of CXX (C++ compiler) is correct.

SkillFinder uses zlib to read compressed files containing reactions and
inhibitions. On Linux and MacOS operating systems a static version of the
Z library is provided.

However the Z library can be downloaded from https://zlib.net/. Make sure
this library is installed on your system. Here's the command line to install
it on some operating systems:

**Ubuntu (>= 22.04)**

```{bash}
sudo apt install zlib1g
```

**MacOS**

```{bash}
brew install zlib
```

### Compile

Just type:

```{bash}
make
```
