#ifndef INHIBITEUR_HPP
#define INHIBITEUR_HPP

#include <string>
#include <vector>

#include "constantes.hpp"


// définir les classe de la std qui seront utilisées
using std::string;
using std::vector;


class Inhibiteur
{
    public:
    string _ec; // code EC de l'enzyme inhibée
    string _nom; // Nom commun de l'inhibiteur
    string _organisme; // organisme de l'inhibiteur


    double _ki; // constante d'inhibition - cf bas du code
    double _ic50; // concentration inhibitrice médiane - cf bas du code

    // Constructeur
    Inhibiteur(vector<string> const& inhibition);
    Inhibiteur(string const& ec, string const& organisme, string const& nom,
               float  const& ki, float  const& ic50) :
    _ec(ec), _nom(nom), _organisme(organisme), _ki(ki), _ic50(ic50)
    {}

    // Méthode
    bool operator== (const Inhibiteur& autre) const {
        return _nom == autre._nom && _ec == autre._ec && _organisme == autre._organisme;
    }
    bool operator< (const Inhibiteur& autre) const {
        return _nom < autre._nom;
    }
    bool inhibiteurConnu(vector<Inhibiteur> const& vecInhi) const;
};

#endif // INHIBITEUR_HPP

// KI
// constante d'inhibition = concentration en inhibiteur pour laquelle la moitié
// des sites enzymatiques sont occupés
//
// IC50
// concentration inhibitrice médiane indique quelle quantité d'un inhibiteur est
// nécessaire pour inhiber à moitié une réaction