#ifndef METABOLITE_HPP
#define METABOLITE_HPP

#include <set>
#include <string>

#include "Reaction.hpp"

using std::set;
using std::string;

class Metabolite
{
    public:
    string _nom;    
    set<Reaction*> _reactions_amonts;
    
    // Constructeurs
    Metabolite(string const& nom)
    {
        _nom = nom;
    };

    Metabolite(string const& nom, Reaction* reac)
    {
        _nom = nom;
        _reactions_amonts.insert(reac);
    };

    Metabolite(string const& nom, set<Reaction*> const& reactions_amonts)
    {
        _nom = nom;
        _reactions_amonts = reactions_amonts;
    };
    
    // Méthodes
    bool operator<(Metabolite const& metabolite) const
    {
        return _nom < metabolite._nom;
    };
    bool operator==(Metabolite const& metabolite) const
    {
        return _nom == metabolite._nom;
    };
};

#endif