#ifndef TRAITEMENT_HPP
#define TRAITEMENT_HPP

#include <vector>
#include <set>

#include "Recherche.hpp"
#include "Reaction.hpp"

using std::vector;
using std::string;
using std::set;

class Traitement
{
    public:
        // Attributs
        Recherche* _recherche;
        
        vector<Reaction*> _reactionsFinales;
        
        vector<Reaction* > _reactionEntreesFinales;
        vector<Reaction* > _reactionSortiesFinales;
        
        set<string> _metabolitesConnexion;
        
        // Constructeurs
        Traitement(){};
        Traitement(Recherche &recherche);
        
        // Méthodes
        void connexion();
        void prodondeur1();
        void prodondeur2();
        void prodondeur3();
        void prodondeur4();
        
        int connexionEntreNiveau(int niveauEntree, int niveauSortie);
        
        void rechercheInhibition();
};

#endif