#ifndef REACTIONSTORESEAU_HPP_INCLUDED
#define REACTIONSTORESEAU_HPP_INCLUDED

#include <string>
#include <vector>
#include <map>

#include "Reaction.hpp"


// définir les classe de la std qui seront utilisées
using std::string;
using std::vector;
using std::map;

// --- Ecriture du réseau au format XML --- //

// converti le resultat de la recherche de reaction en un réseau SBML/XML
void ecritureReseau_xml(vector<Reaction*> & reponse, string const& fichierSortie);

// Lecture de la réponse de la recherche et ecriture des élements important: listeEspeces, listeReaction et especeToId
void lecture_xml(vector<Reaction*> & reponse, string & listeEspeces, string & listeReactions);

// Permet de remplir la map de correspondance entre ID et le nom de l'espèce
void remplirEspeceToId_xml(Reaction* const& reaction, map<string,string> & especeToId, int & compteurEspeces);

// Utilisée par remplirEspeceToId
void remplirEspeceToId2_xml(string const& cible, map<string,string> & especeToId, int & compteurEspeces);

// Ajoute une reaction au string listeReactions
string ecritureReactions_xml(vector<Reaction*> & reponse, map<string,string> & especeToId, 
                             vector<Reaction*>& reactionsEcrites, int & compteurReactions);

// Ecriture de l'entete
string ecritureEntete_xml(string const& fichierSortie);

// Extraction du chemin absolu du fichier de sortie
string nomAbsolu_xml(string const& fichierSortie);

// Ecriture de la liste des compartiments
string ecritureCompartiment_xml();

// Ecriture du reseau dans un fichier XML
void ecritureReseau_xml(string const& fichierSortie, string const& entete, string const& compartiment, 
                        string const& listeEspeces, string const& listeReactions);


// --- Ecriture du réseau au format MTO simplifié --- //
void ecritureReseau_mto(vector<Reaction*> const& reponse, string const& fichierSortie);



#endif // REACTIONSTORESEAU_HPP_INCLUDED


