#ifndef FONCTIONS_HPP
#define FONCTIONS_HPP

#include <vector>
#include <string>
#include <fstream> // ofstream

#include "Recherche.hpp"
#include "Reaction.hpp"
#include "Inhibiteur.hpp"

// définir les classe de la std qui seront utilisées
using std::vector;
using std::string;
using std::string;
using std::vector;
using std::ofstream;


// Retourne l'indice de la cible dans charTab, sinon retourne -1
int index(char** const& charTab, int taille, char const cible[]);

// Segmenter une chaine de caractères en un vecteur de string
void split_param(const char* str, vector<string>& split_str);
void split_metabolites(const char* str, vector<string>& split_str);
vector<string> split(string const& str, char  delimiteur);
vector<string> split(string const& str, string  delimiteur);

// Test si un string est un flaot
bool estFloat( string const& myString );

// Verifier que deux vecteurs de string contiennent les mêmes informations
bool memeContenu(vector<string> & v1, vector<string> v2);

// Verifier qu'il y a au moins un element commun entre deux vecteurs
bool elementCommun(vector<string> const& v1, vector<string> const& v2);

// convertion de int en string
string itos(int i);

// Cherche la cible dans un vecteur
bool estPresent(string const& cible, vector<string> const& vecteur);

// le caracteres est une valeurs numérique
bool estNumerique(char const& c);



void estInhibee(string const& ec, string const& org,
                vector<Inhibiteur> const& vecteurInhibiteur,
                vector<Inhibiteur>& vi_S,
                vector<Inhibiteur>& vi_NS);
                          
int insertReaction(vector<Reaction>  & vReac, Reaction          & reaction);
int insertReaction(vector<Reaction*> & vReac, Reaction          & reaction);
int insertReaction(vector<Reaction*> & vReac, vector<Reaction*> & reactions);

void ajoutMetabolite(vector<Metabolite> &vMeta, Metabolite const& metabolite);

void ecritureListeReaction(vector<Reaction*> const& reactionsFinales, string& nomListe);

void ajout_vecteur_flux(vector<string> const& vect, ofstream& flux, 
                        string sep);
void ajout_vecteur_flux(vector<float> const& vect, ofstream& flux, 
                        string sep);

void comptage_metabolites_intermediaires(Recherche & recherche);



#endif // FONCTIONS_HPP